### R code from vignette source 'fgamma-tex.Rnw'
### Encoding: UTF-8

###################################################
### code chunk number 1: preliminaries
###################################################
options(width = 70, prompt = "R> ", continue = "+  ")


###################################################
### code chunk number 2: wooldridge
###################################################
data("Wages", package = "fgamma")
library("fgamma")
f1 <- fgamma(wage ~ . | ., data = Wages)
summary(f1)


###################################################
### code chunk number 3: alternative
###################################################
f2 <- fgamma(wage ~ educ + exper + tenure + ethnicity + sex + marriage + numdep |
               educ + exper + tenure, data = Wages)
f3 <- fgamma(wage ~ educ + exper + tenure  + sex + marriage  |
               tenure, data = Wages)
f4 <- fgamma(wage ~ educ + exper + tenure  + sex + marriage  | 1
               , data = Wages)
BIC(f1, f2, f3, f4)


###################################################
### code chunk number 4: lrtest
###################################################
library("lmtest")
lrtest(f1, f2, f3, f4)


###################################################
### code chunk number 5: gamlss
###################################################
library("gamlss")
g1 <- gamlss(wage ~ educ + exper + tenure  + sex + marriage, 
             sigma.formula = ~ tenure, data = Wages, family = GA)
summary(g1)


###################################################
### code chunk number 6: fgamma
###################################################
summary(f3)


